import 'package:flutter/material.dart';
import 'package:niogu_app/core/constants/app_font_size.dart';
import 'package:sizer/sizer.dart';

class NoteSection extends StatelessWidget {
  final bool isTablet;
  final TextEditingController controller;
  final String hint;
  const NoteSection({
    super.key,
    required this.isTablet,
    required this.controller,
    required this.hint,
  });

  @override
  Widget build(BuildContext context) {
    return TextField(
      maxLines: isTablet ? 6 : 3,
      controller: controller,
      style: TextStyle(
        fontSize: isTablet
            ? (AppFontSize.medium - 1.25).sp
            : (AppFontSize.small - 1.25).sp,
      ),
      decoration: InputDecoration(
        hintText: hint,
        hintStyle: TextStyle(
          color: Colors.grey[400],
          fontSize: isTablet
              ? (AppFontSize.medium - 1.25).sp
              : (AppFontSize.small - 1.25).sp,
        ),
        filled: true,
        fillColor: Colors.white,
        border: OutlineInputBorder(
          borderRadius: BorderRadius.circular(2.5.w),
          borderSide: BorderSide(color: Colors.grey.shade200),
        ),
        enabledBorder: OutlineInputBorder(
          borderRadius: BorderRadius.circular(2.5.w),
          borderSide: BorderSide(color: Colors.grey.shade200),
        ),
      ),
    );
  }
}
